For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register a device on for a till

Register a new device to a till.

Required permissions: TILL

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
deviceIdentifierstringRequired
Responses
200

OK

No content

post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "deviceIdentifier": "text"
}
200

OK

No content

Last updated

Was this helpful?